Bug 1127522 - [TCMS-487| Add cases] Make sure the cases which had been added to the plan can't be searched by case id
Summary: [TCMS-487| Add cases] Make sure the cases which had been added to the plan ca...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 03:40 UTC by Tingting Zhao
Modified: 2018-07-04 21:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Tingting Zhao 2014-08-07 03:40:31 UTC
Description of problem:
as summary

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server

How reproducible:
100%

Steps to Reproduce:
1.open a test plan,which has four cases,https://tcms-devel.app.eng.nay.redhat.com/plan/10149/plan-for-adding-cases-by-other-plans#testcases
This test plan has a case,which caseid is 293340
2.then choose the "add cases from other plans" in the Cases tab.
3.then input the already added case id in the search page.eg,293340
Check whether this case can be searched out.

Actual results:
the case is found out and listed in the result.

Expected results:
As this case had been already added to the test plan,it should not listed in the search page.

Additional info:

Comment 1 Tingting Zhao 2014-08-07 03:43:27 UTC
And I can't search out this case:293333 by this way.
But i can search it out by all others ways:advanced search and quick search,etc.

Comment 2 Tingting Zhao 2014-08-11 03:37:25 UTC
verify on devel server with v3.8.10-1----->pass
verify steps:
1.input the already added case ids,like 293340,and then search----> the cases would not be searched out.
2.search 293333----> it can be searched out now.


Note You need to log in before you can comment on or make changes to this bug.